Subject: bug#11913: closed (Re: bug#11913: Unusual Emacs 24.1 arithmetic error (abs) on i386 machine)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Jul 2012 03:06:05 +0000

Your bug report

#11913: Unusual Emacs 24.1 arithmetic error (abs) on i386 machine

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11913: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11913
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11913: Unusual Emacs 24.1 arithmetic error (abs) on i386 machine
From: Paul Eggert <[email-masked]>
To: Rob Browning <[email-masked]>, [email-masked]
Date: Mon, 16 Jul 2012 19:59:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for that bug report.  It's definitely an Emacs bug.
I applied the obvious fix as trunk bzr 109108
and am marking this as done.

Subject: Unusual Emacs 24.1 arithmetic error (abs) on i386 machine
From: Rob Browning <[email-masked]>
To: [email-masked]
Date: Wed, 11 Jul 2012 12:53:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

At the moment, Emacs 24.1 repeatedly fails to build on a Debian i386
build daemon, murphy, which is an actual i386 machine.  However, the
build finishes without a problem on biber which is an amd64 machine,
building in an i386 chroot.

I was hoping that the error might be familiar to someone; it looks like
this (for both Debian 24.1+1-1 and 24.1+1-2):

  cal-hebrew.el:815:1:Warning: global/dynamic var `entry' lacks a prefix
  cal-hebrew.el:819:56:Error: Arithmetic error: "abs", 8.0
  make[4]: *** [calendar/cal-hebrew.elc] Error 1
  make[4]: *** Waiting for unfinished jobs....

I have attempted to reproduce the problem a number of different ways,
without success:

  - local i386 chroot on another amd64 host
  - local i386 wheezy kvm vm
  - local i386 squeeze kvm vm using a wheezy chroot (more similar to murphy)
  - local i386 host (thanks to Moritz)

I'm also asking about the possibility of shell access to murphy.

You can find the full build log for one of the failures here:

  https://buildd.debian.org/status/fetch.php?pkg=emacs24&arch=i386&ver=24.1%2B1-2&stamp=1341453696

and the overall build summary here:

  https://buildd.debian.org/status/package.php?p=emacs24

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4